zenilib: Zeni::Sound_Source_Pool::Replacement_Policy Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Sound_Source_Pool::Replacement_Policy Class Reference

`#include <Sound_Source_Pool.h>`

Inherited by Zeni::Sound_Source_Pool::Positional_Replacement_Policy.

## Public Member Functions

virtual | ~Replacement_Policy ()
virtual bool | operator() (const Sound_Source &lhs, const Sound_Source &rhs) const
| (Default) Priority Sort: Playing/Not-Playing, Priority, Gain, Recency More...
bool | operator() (const Sound_Source *const &lhs, const Sound_Source *const &rhs) const

## Detailed Description

Definition at line 83 of file Sound_Source_Pool.h.

## Constructor & Destructor Documentation

virtual Zeni::Sound_Source_Pool::Replacement_Policy::~Replacement_Policy | ( |  | ) |

inlinevirtual

Definition at line 85 of file Sound_Source_Pool.h.

## Member Function Documentation

bool Zeni::Sound_Source_Pool::Replacement_Policy::operator() | ( | const Sound_Source & | lhs,
|  | const Sound_Source & | rhs
| ) |  | const

virtual

(Default) Priority Sort: Playing/Not-Playing, Priority, Gain, Recency

Reimplemented in Zeni::Sound_Source_Pool::Positional_Replacement_Policy.

Definition at line 73 of file Sound_Source_Pool.cpp.

References Zeni::Sound_Source::get_gain(), Zeni::Sound_Source::get_priority(), Zeni::Sound_Source::get_unstop_time(), and Zeni::Sound_Source::is_playing().

bool Zeni::Sound_Source_Pool::Replacement_Policy::operator() | ( | const Sound_Source *const & | lhs,
|  | const Sound_Source *const & | rhs
| ) |  | const

Definition at line 95 of file Sound_Source_Pool.cpp.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_audio/Zeni/Sound_Source_Pool.h
- zenilib/jni/external/zenilib/zeni_audio/Sound_Source_Pool.cpp